import "dart:core";

import "package:latlong2/latlong.dart";

final Map<String, LatLng> LOCATION_LATLNG_MAP = {
  "AF": LatLng(33, 65),
  "AL": LatLng(41, 20),
  "DZ": LatLng(28, 3),
  "AS": LatLng(-14.3333, -170),
  "AD": LatLng(42.5, 1.6),
  "AO": LatLng(-12.5, 18.5),
  "AI": LatLng(18.25, -63.1667),
  "AQ": LatLng(-90, 0),
  "AG": LatLng(17.05, -61.8),
  "AR": LatLng(-34, -64),
  "AM": LatLng(40, 45),
  "AW": LatLng(12.5, -69.9667),
  "AU": LatLng(-27, 133),
  "AT": LatLng(47.3333, 13.3333),
  "AZ": LatLng(40.5, 47.5),
  "BS": LatLng(24.25, -76),
  "BH": LatLng(26, 50.55),
  "BD": LatLng(24, 90),
  "BB": LatLng(13.1667, -59.5333),
  "BY": LatLng(53, 28),
  "BE": LatLng(50.8333, 4),
  "BZ": LatLng(17.25, -88.75),
  "BJ": LatLng(9.5, 2.25),
  "BM": LatLng(32.3333, -64.75),
  "BT": LatLng(27.5, 90.5),
  "BO": LatLng(-17, -65),
  "BA": LatLng(44, 18),
  "BW": LatLng(-22, 24),
  "BV": LatLng(-54.4333, 3.4),
  "BR": LatLng(-10, -55),
  "IO": LatLng(-6, 71.5),
  "BN": LatLng(4.5, 114.6667),
  "BG": LatLng(43, 25),
  "BF": LatLng(13, -2),
  "BI": LatLng(-3.5, 30),
  "KH": LatLng(13, 105),
  "CM": LatLng(6, 12),
  "CA": LatLng(60, -95),
  "CV": LatLng(16, -24),
  "KY": LatLng(19.5, -80.5),
  "CF": LatLng(7, 21),
  "TD": LatLng(15, 19),
  "CL": LatLng(-30, -71),
  "CN": LatLng(35, 105),
  "CX": LatLng(-10.5, 105.6667),
  "CC": LatLng(-12.5, 96.8333),
  "CO": LatLng(4, -72),
  "KM": LatLng(-12.1667, 44.25),
  "CG": LatLng(-1, 15),
  "CD": LatLng(0, 25),
  "CK": LatLng(-21.2333, -159.7667),
  "CR": LatLng(10, -84),
  "CI": LatLng(8, -5),
  "HR": LatLng(45.1667, 15.5),
  "CU": LatLng(21.5, -80),
  "CY": LatLng(35, 33),
  "CZ": LatLng(49.75, 15.5),
  "DK": LatLng(56, 10),
  "DJ": LatLng(11.5, 43),
  "DM": LatLng(15.4167, -61.3333),
  "DO": LatLng(19, -70.6667),
  "EC": LatLng(-2, -77.5),
  "EG": LatLng(27, 30),
  "SV": LatLng(13.8333, -88.9167),
  "GQ": LatLng(2, 10),
  "ER": LatLng(15, 39),
  "EE": LatLng(59, 26),
  "ET": LatLng(8, 38),
  "FK": LatLng(-51.75, -59),
  "FO": LatLng(62, -7),
  "FJ": LatLng(-18, 175),
  "FI": LatLng(64, 26),
  "FR": LatLng(46, 2),
  "GF": LatLng(4, -53),
  "PF": LatLng(-15, -140),
  "TF": LatLng(-43, 67),
  "GA": LatLng(-1, 11.75),
  "GM": LatLng(13.4667, -16.5667),
  "GE": LatLng(42, 43.5),
  "DE": LatLng(51, 9),
  "GH": LatLng(8, -2),
  "GI": LatLng(36.1833, -5.3667),
  "GR": LatLng(39, 22),
  "GL": LatLng(72, -40),
  "GD": LatLng(12.1167, -61.6667),
  "GP": LatLng(16.25, -61.5833),
  "GU": LatLng(13.4667, 144.7833),
  "GT": LatLng(15.5, -90.25),
  "GG": LatLng(49.5, -2.56),
  "GN": LatLng(11, -10),
  "GW": LatLng(12, -15),
  "GY": LatLng(5, -59),
  "HT": LatLng(19, -72.4167),
  "HM": LatLng(-53.1, 72.5167),
  "VA": LatLng(41.9, 12.45),
  "HN": LatLng(15, -86.5),
  "HK": LatLng(22.25, 114.1667),
  "HU": LatLng(47, 20),
  "IS": LatLng(65, -18),
  "IN": LatLng(20, 77),
  "ID": LatLng(-5, 120),
  "IR": LatLng(32, 53),
  "IQ": LatLng(33, 44),
  "IE": LatLng(53, -8),
  "IM": LatLng(54.23, -4.55),
  "IL": LatLng(31.5, 34.75),
  "IT": LatLng(42.8333, 12.8333),
  "JM": LatLng(18.25, -77.5),
  "JP": LatLng(36, 138),
  "JE": LatLng(49.21, -2.13),
  "JO": LatLng(31, 36),
  "KZ": LatLng(48, 68),
  "KE": LatLng(1, 38),
  "KI": LatLng(1.4167, 173),
  "KP": LatLng(40, 127),
  "KR": LatLng(37, 127.5),
  "KW": LatLng(29.3375, 47.6581),
  "KG": LatLng(41, 75),
  "LA": LatLng(18, 105),
  "LV": LatLng(57, 25),
  "LB": LatLng(33.8333, 35.8333),
  "LS": LatLng(-29.5, 28.5),
  "LR": LatLng(6.5, -9.5),
  "LY": LatLng(25, 17),
  "LI": LatLng(47.1667, 9.5333),
  "LT": LatLng(56, 24),
  "LU": LatLng(49.75, 6.1667),
  "MO": LatLng(22.1667, 113.55),
  "MK": LatLng(41.8333, 22),
  "MG": LatLng(-20, 47),
  "MW": LatLng(-13.5, 34),
  "MY": LatLng(2.5, 112.5),
  "MV": LatLng(3.25, 73),
  "ML": LatLng(17, -4),
  "MT": LatLng(35.8333, 14.5833),
  "MH": LatLng(9, 168),
  "MQ": LatLng(14.6667, -61),
  "MR": LatLng(20, -12),
  "MU": LatLng(-20.2833, 57.55),
  "YT": LatLng(-12.8333, 45.1667),
  "MX": LatLng(23, -102),
  "FM": LatLng(6.9167, 158.25),
  "MD": LatLng(47, 29),
  "MC": LatLng(43.7333, 7.4),
  "MN": LatLng(46, 105),
  "ME": LatLng(42, 19),
  "MS": LatLng(16.75, -62.2),
  "MA": LatLng(32, -5),
  "MZ": LatLng(-18.25, 35),
  "MM": LatLng(22, 98),
  "NA": LatLng(-22, 17),
  "NR": LatLng(-0.5333, 166.9167),
  "NP": LatLng(28, 84),
  "NL": LatLng(52.5, 5.75),
  "AN": LatLng(12.25, -68.75),
  "NC": LatLng(-21.5, 165.5),
  "NZ": LatLng(-41, 174),
  "NI": LatLng(13, -85),
  "NE": LatLng(16, 8),
  "NG": LatLng(10, 8),
  "NU": LatLng(-19.0333, -169.8667),
  "NF": LatLng(-29.0333, 167.95),
  "MP": LatLng(15.2, 145.75),
  "NO": LatLng(62, 10),
  "OM": LatLng(21, 57),
  "PK": LatLng(30, 70),
  "PW": LatLng(7.5, 134.5),
  "PS": LatLng(32, 35.25),
  "PA": LatLng(9, -80),
  "PG": LatLng(-6, 147),
  "PY": LatLng(-23, -58),
  "PE": LatLng(-10, -76),
  "PH": LatLng(13, 122),
  "PN": LatLng(-24.7, -127.4),
  "PL": LatLng(52, 20),
  "PT": LatLng(39.5, -8),
  "PR": LatLng(18.25, -66.5),
  "QA": LatLng(25.5, 51.25),
  "RE": LatLng(-21.1, 55.6),
  "RO": LatLng(46, 25),
  "RU": LatLng(60, 100),
  "RW": LatLng(-2, 30),
  "SH": LatLng(-15.9333, -5.7),
  "KN": LatLng(17.3333, -62.75),
  "LC": LatLng(13.8833, -61.1333),
  "PM": LatLng(46.8333, -56.3333),
  "VC": LatLng(13.25, -61.2),
  "WS": LatLng(-13.5833, -172.3333),
  "SM": LatLng(43.7667, 12.4167),
  "ST": LatLng(1, 7),
  "SA": LatLng(25, 45),
  "SN": LatLng(14, -14),
  "RS": LatLng(44, 21),
  "SC": LatLng(-4.5833, 55.6667),
  "SL": LatLng(8.5, -11.5),
  "SG": LatLng(1.3667, 103.8),
  "SK": LatLng(48.6667, 19.5),
  "SI": LatLng(46, 15),
  "SB": LatLng(-8, 159),
  "SO": LatLng(10, 49),
  "ZA": LatLng(-29, 24),
  "GS": LatLng(-54.5, -37),
  "SS": LatLng(8, 30),
  "ES": LatLng(40, -4),
  "LK": LatLng(7, 81),
  "SD": LatLng(15, 30),
  "SR": LatLng(4, -56),
  "SJ": LatLng(78, 20),
  "SZ": LatLng(-26.5, 31.5),
  "SE": LatLng(62, 15),
  "CH": LatLng(47, 8),
  "SY": LatLng(35, 38),
  "TW": LatLng(23.5, 121),
  "TJ": LatLng(39, 71),
  "TZ": LatLng(-6, 35),
  "TH": LatLng(15, 100),
  "TL": LatLng(-8.55, 125.5167),
  "TG": LatLng(8, 1.1667),
  "TK": LatLng(-9, -172),
  "TO": LatLng(-20, -175),
  "TT": LatLng(11, -61),
  "TN": LatLng(34, 9),
  "TR": LatLng(39, 35),
  "TM": LatLng(40, 60),
  "TC": LatLng(21.75, -71.5833),
  "TV": LatLng(-8, 178),
  "UG": LatLng(1, 32),
  "UA": LatLng(49, 32),
  "AE": LatLng(24, 54),
  "GB": LatLng(54, -2),
  "US": LatLng(38, -97),
  "UM": LatLng(19.2833, 166.6),
  "UY": LatLng(-33, -56),
  "UZ": LatLng(41, 64),
  "VU": LatLng(-16, 167),
  "VE": LatLng(8, -66),
  "VN": LatLng(16, 106),
  "VG": LatLng(18.5, -64.5),
  "VI": LatLng(18.3333, -64.8333),
  "WF": LatLng(-13.3, -176.2),
  "EH": LatLng(24.5, -13),
  "YE": LatLng(15, 48),
  "ZM": LatLng(-15, 30),
  "ZW": LatLng(-20, 30),
};
